List projects
Authorization
apiKey Authorization<token>
API key as Bearer token: Authorization: Bearer
In: header
Query Parameters
limit?integer
Default
25Range
1 <= value <= 100cursor?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://terac.com/api/external/v2/projects"{
"data": [
{
"id": "string",
"name": "string",
"slug": "string",
"created_at": "string"
}
],
"pagination": {
"next_cursor": "string",
"has_more": true
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}List feasibility requests GET
List your organization's feasibility requests, newest first. Optionally filter by status (RECEIVED / RESPONDED / WON / LOST) and page through results with limit and offset. Each request includes its costPerParticipant (the CPI), which is null until the request has been priced (status RESPONDED).
Create a project POST
Next Page